eID middleware |

# eIDMW::PTEID_ExFileTypeUnknown Class Reference

Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN). More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_ExFileTypeUnknown:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_ExFileTypeUnknown ()
| Constructor.
virtual PTEIDSDK_API | ~PTEID_ExFileTypeUnknown ()
| Destructor.

## Detailed Description

Exception class File Type Unknown (error code = EIDMW_ERR_FILETYPE_UNKNOWN).

Throw when the Raw Data type doesn't exist for this card Used in : - PTEID_Card::getRawData(PTEID_RawDataType type)

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ExFileTypeUnknown::PTEID_ExFileTypeUnknown | ( |  | ) |

Constructor.

virtual PTEIDSDK_API eIDMW::PTEID_ExFileTypeUnknown::~PTEID_ExFileTypeUnknown | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- eidlibException.h